summaryrefslogtreecommitdiff
path: root/tests/guix-download.sh
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2016-10-29 01:16:24 +0200
committerLudovic Courtès <ludo@gnu.org>2016-11-16 18:00:41 +0100
commit1bcc87bb685b7985512add221f10e4cb58b5f6f7 (patch)
treee59490c57f7017858e86cd77c9110fa6bc7551d4 /tests/guix-download.sh
parenteb4b3e4bef412647e1c2756123b8a687996a04e1 (diff)
downloadpatches-1bcc87bb685b7985512add221f10e4cb58b5f6f7.tar
patches-1bcc87bb685b7985512add221f10e4cb58b5f6f7.tar.gz
guix download: Add '-o' option.
* guix/scripts/download.scm (download-to-file, download-to-store*): New procedures. (%default-options): Add 'download-proc'. (show-help): Adjust description and document '-o'. (%options): Add '-o'. (guix-download): Remove 'store' variable. Add 'fetch' and define 'path' to as its result. * tests/guix-download.sh: Add test.
Diffstat (limited to 'tests/guix-download.sh')
-rw-r--r--tests/guix-download.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/guix-download.sh b/tests/guix-download.sh
index 6283772c48..ebc853c7fa 100644
--- a/tests/guix-download.sh
+++ b/tests/guix-download.sh
@@ -1,5 +1,5 @@
# GNU Guix --- Functional package management for GNU
-# Copyright © 2012, 2015 Ludovic Courtès <ludo@gnu.org>
+# Copyright © 2012, 2015, 2016 Ludovic Courtès <ludo@gnu.org>
#
# This file is part of GNU Guix.
#
@@ -35,6 +35,13 @@ then false; else true; fi
# This one should succeed.
guix download "file://$abs_top_srcdir/README"
+# This one too, even if it cannot talk to the daemon.
+output="t-download-$$"
+trap 'rm -f "$output"' EXIT
+GUIX_DAEMON_SOCKET="/nowhere" guix download -o "$output" \
+ "file://$abs_top_srcdir/README"
+cmp "$output" "$abs_top_srcdir/README"
+
# This one should fail.
if guix download "file:///does-not-exist" "file://$abs_top_srcdir/README"
then false; else true; fi